Ubuntu

Kernel packages don't have "Section: kernel", but other packages do

Reported by Matthew Paul Thomas on 2009-12-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Colin Watson
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Colin Watson

Bug Description

In Ubuntu 9.10, kernel packages have "Section: base". This leads to the odd result that in Synaptic, the "Kernel and modules" sections contain four packages, none of which are Linux kernels. (drbd8-source, linux-firmware-nonfree, batman-adv-source, and batmand-gateway-source.)

In Ubuntu Lucid, apparently the kernel packages have been moved to "Section: admin".

    <apw> UBUNTU: Use section 'admin' rather than 'base'
    <apw> yeah our kernels are in admin now
    ...
    <apw> well cjwatson supplied the patch to change it to admin ... hrm

This still isn't "Section: kernel". I suggest that either actual kernel packages should have "Section: kernel", or there should be a policy that no Ubuntu package should.

    <Keybuk> it's probably worth a bug assigned to cjwatson to make a decision

(I'm interested in this to ensure sensible categorization of kernel packages in the Ubuntu Software Center.)

Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)

"kernel" would be fine for all of them; I'll take care of that after the
Christmas break. (However, I can't change 9.10 now.)

Colin Watson (cjwatson) wrote :

admin was better than base, but kernel is better than admin. I'll send a patch to kernel-team shortly.

affects: ubuntu-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → In Progress
Tim Gardner (timg-tpi) on 2012-03-15
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :
Download full text (5.1 KiB)

I've sent this patch to the kernel team, and they've applied it. Accordingly, I've made the following override changes:

2012-03-15 15:44:57 INFO Creating lockfile: /var/lock/launchpad-change-override.lock
2012-03-15 15:45:07 INFO Override Section to: 'kernel'
2012-03-15 15:45:07 INFO 'linux-backports-modules-cw-3.3-3.2.0-18-generic-3.2.0-18.1/main/admin/OPTIONAL' binary overridden in precise/amd64
2012-03-15 15:45:07 INFO 'linux-backports-modules-cw-3.3-3.2.0-18-generic-3.2.0-18.1/main/admin/OPTIONAL' binary overridden in precise/i386
2012-03-15 15:45:07 INFO 'linux-backports-modules-cw-3.3-3.2.0-18-generic-pae-3.2.0-18.1/main/admin/OPTIONAL' binary overridden in precise/i386
2012-03-15 15:45:07 INFO 'linux-image-2.6.31-800-st1-5-2.6.31-800.2/main/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:07 INFO 'linux-image-2.6.35-1-n900-2.6.35-1.3.1/universe/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:07 INFO 'linux-image-3.0.0-1007-linaro-mx51-3.0.0-1007.9/universe/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:07 INFO 'linux-image-3.0.0-1007-linaro-omap-3.0.0-1007.9/main/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:08 INFO 'linux-image-3.0.0-1007-linaro-vexpress-3.0.0-1007.9/main/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:08 INFO 'linux-image-3.0.0-1500-armadaxp-3.0.0-1500.3/main/admin/OPTIONAL' binary overridden in precise/armhf
2012-03-15 15:45:08 INFO 'linux-image-3.0.19-2-ac100-3.0.19-2.1/universe/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:08 INFO 'linux-image-3.0.19-2-ac100-3.0.19-2.1/universe/admin/OPTIONAL' binary overridden in precise/armhf
2012-03-15 15:45:08 INFO 'linux-image-3.1.1-1400-linaro-lt-mx5-3.1.1-1400.1/universe/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:08 INFO 'linux-image-3.1.1-1400-linaro-lt-mx5-3.1.1-1400.1/universe/admin/OPTIONAL' binary overridden in precise/armhf
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-1408-omap4-3.2.0-1408.11/main/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-1408-omap4-3.2.0-1408.11/main/admin/OPTIONAL' binary overridden in precise/armhf
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-generic-3.2.0-18.29/main/admin/OPTIONAL' binary overridden in precise/amd64
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-generic-3.2.0-18.29/main/admin/OPTIONAL' binary overridden in precise/i386
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-generic-pae-3.2.0-18.29/main/admin/OPTIONAL' binary overridden in precise/i386
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-lowlatency-3.2.0-18.26/universe/admin/OPTIONAL' binary overridden in precise/amd64
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-lowlatency-3.2.0-18.26/universe/admin/OPTIONAL' binary overridden in precise/i386
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-lowlatency-pae-3.2.0-18.26/universe/admin/OPTIONAL' binary overridden in precise/i386
2012-03-15 15:45:08 INFO 'linux-image-3.2.0-18-omap-3.2.0-18.29/main/admin/OPTIONAL' binary overridden in precise/armel
2012-03-15 15:...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-19.30

---------------
linux (3.2.0-19.30) precise; urgency=low

  [ Andy Whitcroft ]

  * [Config] Fix typeo in the Hyper-V module names

  [ Colin Watson ]

  * [Config] Move kernels to "Section: kernel"
    - LP: #499557

  [ John Johansen ]

  * SAUCE: AppArmor: Add ability to load extended policy
  * SAUCE: AppArmor: Add the ability to mediate mount
  * SAUCE: AppArmor: Add profile introspection file to interface
  * SAUCE: AppArmor: basic networking rules

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER
    - LP: #952035
  * Rebase to v3.2.10
  * [Config] Update configs after rebase to v3.2.10
  * Rebase to v3.2.11
  * [Config] Disable CONFIG_STUB_POULSBO
    - LP: #899244
  * [Config] Add CONFIG_DRM_PSB check to enforcer
    - LP: #899244

  [ Tim Gardner ]

  * [Config] Drop non-SMP powerpc

  [ Upstream Kernel Changes ]

  * net/hyperv: Use the built-in macro KBUILD_MODNAME for this driver
  * x86: Derandom delay_tsc for 64 bit
  * Bluetooth: Fix l2cap conn failures for ssp devices
    - LP: #872044
  * KVM: x86: extend "struct x86_emulate_ops" with "get_cpuid"
    - LP: #917842
    - CVE-2012-0045
  * KVM: x86: fix missing checks in syscall emulation
    - LP: #917842
    - CVE-2012-0045
  * rebase to v3.2.11
  * rebase to v3.2.10
 -- Leann Ogasawara <email address hidden> Fri, 16 Mar 2012 08:02:07 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
dino99 (9d9) wrote :

closing some entries due to eol https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Hardy):
status: New → Invalid
Changed in linux (Ubuntu Maverick):
status: New → Invalid
Changed in linux (Ubuntu Natty):
status: New → Invalid
Changed in linux (Ubuntu Oneiric):
status: New → Invalid

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers